CHSH(1)

NOM
chsh - Changer l'interpréteur de commandes initial

SYNOPSIS

chsh [options] [LOGIN]

DESCRIPTION

The chsh command changes the user login shell. This determines the name of the user's initial login command. A normal user may only change the login shell for her own account, the superuser may change the login shell for any account.

OPTIONS

Les options applicables à la commande chsh sont :

-h, --help
    Afficher un message d'aide et quitter.

-s, --shell INTERPRÉTEUR
    Nom du nouvel interpréteur de commandes initial (« login shell ») de l'utilisateur. Si ce champ est vide, le système sélectionnera l'interpréteur de commandes initial par défaut.

Quand l'option -s n'est pas sélectionnée, chsh opère de façon interactive, demandant à l'utilisateur quel doit être le nouvel interpréteur de commandes initial (« login shell »). L'utilisateur pourra entrer une nouvelle valeur pour modifier l'interpréteur, ou laisser la ligne blanche pour conserver l'interpréteur actuel. L'interpréteur actuel est indiqué entre crochets ([ ]).

NOTE

The only restriction placed on the login shell is that the command name must be listed in /etc/shells, unless the invoker is the superuser, and then any value may be added. An account with a restricted login shell may not change her login shell. For this reason, placing /bin/rsh in /etc/shells is discouraged since accidentally changing to a restricted shell would prevent the user from ever changing her login shell back to its original value.

CONFIGURATION

Les variables de configuration suivantes de /etc/login.defs modifient le comportement de cet outil :

CHSH_AUTH (booléen)
    If yes, the chsh program will require authentication before making any changes, unless run by the superuser.

LOGIN_STRING (chaîne ce caractères)
    La chaîne de caractères utilisée pour l'invite de mot de passe. La valeur par défaut est d'utiliser "Password: " (« mot de passe : »), ou une traduction de cette chaîne. Si vous définissez cette variable, l'invite ne sera pas traduite.

    Si la chaîne contient %s, ces caractères seront remplacés par le nom de l'utilisateur.

FICHIERS

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shells
    Liste des interpréteurs de commandes initiaux valables.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VOIR AUSSI

chfn(1), login.defs(5), passwd(5).